## Class TAutoCompleteEventParameter

Description

TAutCompleteEventParameter contains the getToken requested by the user for a partial match of the suggestions.

The SelectedIndex is a zero-based index of the suggestion selected by the user, -1 if not suggestion is selected.

- since: 3.1
- version: $Id: TAutoComplete.php 2315 2007-10-11 12:04:08Z tof $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/ActiveControls/TAutoComplete.php (line 381)

    TComponent
       |
       --TEventParameter
          |
          --TCallbackEventParameter
             |
             --TAutoCompleteEventParameter

Method Summary
TAutoCompleteEventParameter __construct (mixed $response, mixed $parameter, [mixed $index = -1])
void getSelectedIndex ()
string getToken ()
Methods
Constructor __construct (line 388)

Creates a new TCallbackEventParameter.

- access: public

TAutoCompleteEventParameter __construct (mixed $response, mixed $parameter, [mixed $index = -1])

Redefinition of:

TCallbackEventParameter::__construct()
  Creates a new TCallbackEventParameter.

getSelectedIndex (line 397)

- access: public

void getSelectedIndex ()
getToken (line 405)

- return: token for matching a list of suggestions.
- access: public

string getToken ()

#### Inherited Methods

Inherited From TCallbackEventParameter

> TCallbackEventParameter::__construct()
> TCallbackEventParameter::getCallbackParameter()
> TCallbackEventParameter::getNewWriter()
> TCallbackEventParameter::getResponseData()
> TCallbackEventParameter::setResponseData()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:30:58 -0400 by phpDocumentor 1.3.0RC4